%define module_name Thread-GoChannel
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/ParseXS.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Thread/Queue.pm) perl(Thread/Semaphore.pm) perl(XSLoader.pm) perl(strict.pm) perl(threads.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Fast thread queues with go-like semantics
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz

%description
Thread::GoChannel is an alternative to the Thread::Queue manpage. By using a smart serialization ladder, it can achieve high performance without compromizing on flexibility.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Tue Dec 05 2023 Igor Vlasenko <viy@altlinux.org> 0.004-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.003-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.003-alt1
- updated by package builder

* Sat Feb 25 2023 Igor Vlasenko <viy@altlinux.org> 0.001-alt1
- initial import by package builder

